Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.atp
Class WorkdayCalculator

    java.lang.Object
      org.apache.poi.ss.formula.atp.WorkdayCalculator

    public class WorkdayCalculator

extends java.lang.Object

A calculator for workdays, considering dates as excel representations.

Author:
  jfaenomoto@gmail.com

Field Summary
`static WorkdayCalculator` | `instance`

Method Summary
`int` | `calculateWorkdays(double start, double end, double[] holidays)` Calculate how many workdays are there between a start and an end date, as excel representations, considering a range of holidays.
`java.util.Date` | `calculateWorkdays(double start, int workdays, double[] holidays)` Calculate the workday past x workdays from a starting date, considering a range of holidays.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final WorkdayCalculator instance

Method Detail

### calculateWorkdays

    public int calculateWorkdays(double start,
                                 double end,
                                 double[] holidays)

  Calculate how many workdays are there between a start and an end date, as excel representations, considering a range of holidays.

  Parameters:
    `start` - start date.
    `end` - end date.
    `holidays` - an array of holidays.
  Returns:
    number of workdays between start and end dates, including both dates.

### calculateWorkdays

    public java.util.Date calculateWorkdays(double start,
                                            int workdays,
                                            double[] holidays)

  Calculate the workday past x workdays from a starting date, considering a range of holidays.

  Parameters:
    `start` - start date.
    `workdays` - number of workdays to be past from starting date.
    `holidays` - an array of holidays.
  Returns:
    date past x workdays.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD